Bug 215865 - (Zim) Review Request: Zim - Desktop wiki & notekeeper
Review Request: Zim - Desktop wiki & notekeeper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://zoidberg.student.utwente.nl/zi...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-15 23:03 EST by Chris Weyl
Modified: 2014-10-13 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 13:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-15 23:03:47 EST
SRPM URL: http://home.comcast.net/~ckweyl/Zim-0.17-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/Zim.spec

Description:
Zim is a WYSIWYG text editor written in Gtk2-Perl which aims to bring the
concept of a wiki to your desktop. Every page is saved as a text file with
wiki markup. Pages can contain links to other pages, and are saved
automatically. Creating a new page is as easy as linking to a non-existing
page. Pages are ordered in a hierarchical structure that gives it the look and
feel of an outliner. This tool is intended to keep track of TODO lists or to
serve as a personal scratch book.
Comment 1 Parag AN(पराग) 2006-11-16 10:28:41 EST
I did mock build for FC7 devel i386 and got following in build.log
Creating custom builder _build/lib/My/Builder.pm in _build/lib/My
WARNING: the following files are missing in your kit:
        lib/Zim/Win32.pm
Please inform the author.
AND
WARNING: You don't seem to have a mime-info database.
The shared-mime-info package is available from
http://freedesktop.org/wiki/Software_2fshared_2dmime_2dinfo

rpmlint on noarch rpm is not silent
Got rpmlint warning on RPM
W: Zim hidden-file-or-dir /usr/share/zim/doc/.zim.config
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.
Comment 2 Chris Weyl 2006-11-16 12:16:05 EST
(In reply to comment #1)
> I did mock build for FC7 devel i386 and got following in build.log
> Creating custom builder _build/lib/My/Builder.pm in _build/lib/My
> WARNING: the following files are missing in your kit:
>         lib/Zim/Win32.pm
> Please inform the author.

This is normal and expected -- we delete lib/Zim/Win32.pm in %prep as, well,
we're not on Win32 :)  Keeping it around also causes unwanted Win32 requires to
be generated.

> AND
> WARNING: You don't seem to have a mime-info database.
> The shared-mime-info package is available from
> http://freedesktop.org/wiki/Software_2fshared_2dmime_2dinfo

Good catch -- this looks to be a bug with perl-File-MimeInfo not requiring that
package.  Bug 215972 filed.

I'll add an explicit requires on shared-mime-info to Zim in the meantime, and
upload new packages.

> rpmlint on noarch rpm is not silent
> Got rpmlint warning on RPM
> W: Zim hidden-file-or-dir /usr/share/zim/doc/.zim.config
> The file or directory is hidden. You should see if this is normal,
> and delete it from the package if not.

This is normal, if a touch odd -- Zim packages its online help as a zim repository.

Comment 4 Parag AN(पराग) 2006-11-17 02:08:52 EST
Review:
+ package builds in mock (development i386)FC7.
+ rpmlint is silent for SRPM.
+ rpmlint on noarch rpm is not silent
Got rpmlint warning on RPM
W: Zim hidden-file-or-dir /usr/share/zim/doc/.zim.config
Which can be ignored.
+ source files match upstream.
b665ab613fc777073e14b5eee44f37d9  Zim-0.17.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc files.
+ no -devel subpackage exists
+ no .la files.
+ no translations available
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed succesfully
+ Desktop file is handled correclty in SPEC file.
+ GUI app
APPROVED.
Comment 5 Parag AN(पराग) 2006-11-17 02:12:12 EST
COLSE bug once you import this package in CVS
Comment 6 Chris Weyl 2006-11-21 13:54:59 EST
Done, thanks! :)
Comment 7 Chris Weyl 2007-10-03 20:45:03 EDT
Please branch for F-8 :)
Comment 8 Kevin Fenzi 2007-10-03 22:53:38 EDT
cvs done.
Comment 9 Robin Lee 2011-08-08 05:45:18 EDT
Package Change Request
======================
Package Name: Zim
New Branches: el6
Owners: cheeselee
InitialCC: cweyl

I am the actual maintainer of this package by now, the owner has been inactive with this package for a while.
Comment 10 Jon Ciesla 2011-08-08 06:03:15 EDT
Git done (by process-git-requests).
Comment 11 Robin Lee 2014-10-12 09:55:42 EDT
Package Change Request
======================
Package Name: Zim
New Branches: epel7
Owners: cheeselee
Comment 12 Kevin Fenzi 2014-10-13 18:55:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.